{ config, pkgs, inputs, lib, nixpkgs-nixos-unstable-and-unfree, ... }: {
  environment.systemPackages = with pkgs; [ vim nixfmt ];

  imports = [
    ../../git
    ../../mercurial
  ];
  services.nix-daemon.enable = true;
  nix = {
    useDaemon = true;
    gc.automatic = true;
    package = pkgs.nixUnstable;
    extraOptions = ''
      experimental-features = nix-command flakes
    '';
  };

  programs.zsh.enable = true; # default shell on catalina

  system.stateVersion = 4;

  home-manager.users.cyryl = { ... }: {
    imports = [ ];
    home.packages = [ ];
  };
}
